Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::FloatImm Struct Reference

Floating point constants. More...

`#include <Expr.h>`

Inheritance diagram for Halide::Internal::FloatImm:

## Static Public Member Functions
static const FloatImm * | make (Type t, double value)

## Public Attributes
double | value
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::FloatImm

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< FloatImm >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
virtual Expr | mutate_expr (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Floating point constants.

Definition at line 236 of file Expr.h.

## Member Function Documentation

## ◆ make()

static const FloatImm * Halide::Internal::FloatImm::make | ( | Type | t,
|  | double | value
| ) |  |
| static

Referenced by Halide::Internal::IRMatcher::make_const_expr().

## Member Data Documentation

## ◆ value

double Halide::Internal::FloatImm::value

Definition at line 237 of file Expr.h.

## ◆ _node_type

const IRNodeType Halide::Internal::FloatImm::_node_type = IRNodeType::FloatImm
| static

Definition at line 241 of file Expr.h.

The documentation for this struct was generated from the following file:

- src/Expr.h